> ## Documentation Index
> Fetch the complete documentation index at: https://docs.money.orki.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> This endpoint retrieves the details of a specific transaction under the partner’s account.



## OpenAPI

````yaml GET /api/v1/partner/transactions/{transaction_id}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.money.orki.io
security:
  - ApiKeyAuth: []
paths:
  /api/v1/partner/transactions/{transaction_id}:
    get:
      tags:
        - Merchant
      summary: Show Transaction by Merchant.
      operationId: showTransactionByMerchant
      parameters:
        - in: path
          name: transaction_id
          description: The ID of the transaction.
          example: 01jwm8tchegxy37f12jck7b0bx
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transaction fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: Transaction fetched successfully
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01jwm8tchegxy37f12jck7b0bx
                      provider_tx_id:
                        type: string
                        example: cos_1RUyHbQRBKAgk6f06LOvXqFU
                      type:
                        type: string
                        example: BUY
                      sender_address:
                        type:
                          - string
                          - 'null'
                        example: null
                      recipient_address:
                        type: string
                        example: '0x5f661d0e61d3F79DA6605AB6173453084599c5aC'
                      exchange_rate:
                        type: number
                        example: 239.2
                      transaction_hash:
                        type: string
                        example: random_hash_here
                      provider_fee:
                        type: number
                        example: 60.6
                      orki_fee:
                        type:
                          - number
                          - 'null'
                        example: null
                      network_fee:
                        type: number
                        example: 0.05
                      fiat_amount:
                        type: number
                        example: 400
                      crypto_amount:
                        type: number
                        example: 1500
                      fiat_currency:
                        type: string
                        example: USD
                      crypto_currency:
                        type: string
                        example: eth
                      network:
                        type: string
                        example: ethereum
                      payment_method:
                        type: string
                        example: credit_debit_card
                      status:
                        type: string
                        example: success
                      provider:
                        type: string
                        example: stripe
                      created_at:
                        type: string
                        example: '2025-05-31T22:53:51.000000Z'
                      processed_at:
                        type: string
                        example: '2025-06-01T23:50:50.000000Z'
                  success:
                    type: boolean
                    example: true
                  code:
                    type: integer
                    example: 200
                example:
                  msg: Transaction fetched successfully
                  data:
                    id: 01jwm8tchegxy37f12jck7b0bx
                    provider_tx_id: cos_1RUyHbQRBKAgk6f06LOvXqFU
                    type: BUY
                    sender_address: null
                    recipient_address: '0x5f661d0e61d3F79DA6605AB6173453084599c5aC'
                    exchange_rate: 239.2
                    transaction_hash: random_hash_here
                    provider_fee: 60.6
                    orki_fee: null
                    network_fee: 0.05
                    fiat_amount: 400
                    crypto_amount: 1500
                    fiat_currency: USD
                    crypto_currency: eth
                    network: ethereum
                    payment_method: credit_debit_card
                    status: success
                    provider: stripe
                    created_at: '2025-05-31T22:53:51.000000Z'
                    processed_at: '2025-06-01T23:50:50.000000Z'
                  success: true
                  code: 200
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-ORKI-API-KEY

````